package com.lynx.tasm.behavior.shadow.text;

import X.C3941QfC;
import X.C4065QhC;
import X.C4502QoF;
import X.LC0;
import X.QNF;
import X.QNL;
import X.QVN;
import X.QWT;
import com.bytedance.covode.number.Covode;
import java.util.List;
import java.util.Map;

public abstract class AbsInlineImageShadowNode extends BaseTextShadowNode {
    public int LIZ;
    public boolean LIZIZ;
    public boolean LIZJ;

    static {
        Covode.recordClassIndex(46551);
    }

    public final boolean LIZ() {
        return true;
    }

    public abstract QNF LIZIZ();

    @QNL(LIZ = "mode")
    public abstract void setMode(String str);

    @QNL(LIZ = "src")
    public abstract void setSource(String str);

    @QNL(LIZ = "background-color", LJ = 0)
    public void setBackgroundColor(int i) {
        this.LIZ = i;
    }

    public final void LIZ(String str) {
        if (this.LIZJ) {
            QWT qwt = new QWT(this.LJI, "error");
            qwt.LIZ("errMsg", str);
            LJIIJ().LJFF.LIZ((C4502QoF) qwt);
        }
    }

    public final void LIZ(Map<String, LC0> map) {
        super.LIZ(map);
        if (map != null) {
            this.LIZIZ = map.containsKey("load");
            this.LIZJ = map.containsKey("error");
        }
    }

    public final void LIZ(int i, int i2) {
        if (this.LIZIZ) {
            QWT qwt = new QWT(this.LJI, "load");
            qwt.LIZ(C4065QhC.LJFF, Integer.valueOf(i2));
            qwt.LIZ("width", Integer.valueOf(i));
            LJIIJ().LJFF.LIZ((C4502QoF) qwt);
        }
    }

    public final void LIZ(int i, int i2, List<C3941QfC> list) {
        QNF LIZIZ2 = LIZIZ();
        if (this.LJIILL && this.LJIIJ == null) {
            LIZIZ2.LIZ(6, 0.0f);
        }
        LIZIZ2.LIZJ = this.LIZ;
        LIZIZ2.LIZLLL = this.LJIILJJIL.LJIILL;
        list.add(new C3941QfC(i, i2, LIZIZ2));
        if (this.LJIIL != null || this.LJIILIIL) {
            list.add(new C3941QfC(i, i2, new QVN(this.LJI, this.LJIIL, this.LJIILIIL)));
        }
    }
}
